$INCLUDE: 'C:\FG\INTRFACE.FOR'

      PROGRAM MAIN

      INTEGER*2 OLD_MODE
      INTEGER*2 FG_GETMODE

      OLD_MODE = FG_GETMODE()
      CALL FG_SETMODE(16)
      CALL FG_INITW
      CALL FG_SETWORLD(0.0,6.39,0.0,3.49)
      CALL FG_SETSIZEW(0.21)

      CALL FG_SETCOLOR(15)
      CALL FG_LOCATE(0,26)
      CALL FG_TEXT('Software characters - font 1',28)

      CALL FG_SETCOLOR(10)
      CALL FG_MOVEW(0.0,3.1)
      CALL FG_SWCHAR('ABCDEFGHIJKLMNOPQRSTUVWXYZ',26,-1)
      CALL FG_MOVEW(0.0,2.8)
      CALL FG_SWCHAR('abcdefghijklmnopqrstuvwxyz',26,-1)
      CALL FG_MOVEW(0.0,2.5)
      CALL FG_SWCHAR('0123456789',10,-1)
      CALL FG_MOVEW(0.0,2.2)
      CALL FG_SWCHAR('!"#$%&''()*+,-./:;<=>?[]^`{|}~',29,-1)

      CALL FG_SETCOLOR(15)
      CALL FG_LOCATE(12,26)
      CALL FG_TEXT('Software characters - font 2',28)

      CALL FG_SETCOLOR(10)
      CALL FG_MOVEW(0.0,1.4)
      CALL FG_SWCHAR('\ABCDEFGHIJKLMNOPRSTUWXYZ',25,-1)
      CALL FG_MOVEW(0.0,1.1)
      CALL FG_SWCHAR('\abcdefghijklmnoprstuwxyz',25,-1)
      CALL FG_MOVEW(0.0,0.4)
      CALL FG_SWCHAR('\012345678#$%&()*+/<=>?[]{}',27,-1)
      CALL FG_WAITKEY

      CALL FG_SETMODE(OLD_MODE)
      CALL FG_RESET

      STOP ' '
      END
